<template>
  <div class="project min-h-screen flex overflow-hidden flex-col">

    <!-- Project sidebar -->
    <div class="project__sidebar xl:h-screen h-auto xl:w-1/3 w-full flex flex-col xl:fixed items-center z-20 xl:pin-t sm:justify-between"
         :class="[isDark ? 'bg-blue' : 'bg-' + project.slug]">

      <!-- Logo -->
      <div class="project__logo flex justify-center items-center">
        <image-comp :source="'projects/'+ project.slug + '/' + project.slug + '.png'"
                    :alt="'Project' + project.slug + 'header image'"
                    width="'auto'"
                    height="'auto'"
                    class="xl:w-2/3 md:w-1/3 sm:h-auto my-12" />
      </div>
      <!-- End Logo -->

      <!-- Project infos -->
      <div class="px-12 xl:py-0 py-12 text-content flex flex-col text-lg items-start justify-between sm:flex-col sm:items-start">

        <div>
          <span class="font-bold"
                :class="[isDark ? 'text-yellow' : 'text-' + project.slug]">Role :</span>
          <span class="text-white"> {{ project.technical.role }}</span>
        </div>

        <div class="py-4">
          <span class="font-bold leading-loose"
                :class="[isDark ? 'text-yellow' : 'text-' + project.slug]">Technologies :</span>
          <span class="text-white"> {{ project.technical.technos }}</span>
        </div>

        <div>
          <span class="font-bold"
                :class="[isDark ? 'text-yellow' : 'text-' + project.slug]">Year :</span>
          <span class="text-white"> {{ project.technical.year }}</span>
        </div>

      </div>
      <!-- End Project infos -->

      <!-- Discover button -->
      <div class="self-center xl:absolute xl:pin-b xl:mb-0 mb-12">
        <a href="http://vitality.gg/"
           target="_blank"
           :class="[isDark ? 'btn-yellow' : 'button-' + project.slug]"
           class="btn trans flex xl:justify-center justify-between xl:my-12 text-center mt-0"
           tag="button">
          Discover the website
        </a>
      </div>
      <!-- End Discover button -->

    </div>
    <!-- Project sidebar end -->

    <!-- Project content -->
    <div class="project__content xl:w-2/3 w-full self-end">

      <!-- Context -->
      <div class="flexContainer">
        <div class="title mt-8">
          <h2 class="inline relative"
              :class="[isDark ? '' : 'title-' + project.slug]">Context</h2>
        </div>

        <div class="text-content">
          <p class="mt-8 text-lg leading-normal"
             v-html="project.context[1]" />
          <p class="mt-4 text-lg leading-normal"
             v-html="project.context[2]" />
        </div>
      </div>
      <!-- End Context -->

      <!-- Layer -->
      <div class="flexContainer project__layer col flex justify-center items-center mt-32"
           :class="[isDark ? 'bg-blue' : 'bg-' + project.slug]">
        <img :src="imageRequired"
             :alt="'Project' + project.name + ' header image'"
             class="layer__picture" />
      </div>
      <!-- End Layer -->

      <div class="flexContainer">

        <!-- Tech part -->
        <div class="title mt-8">
          <h2 class="inline relative"
              :class="[isDark ? '' : 'title-' + project.slug]">Technical side</h2>
        </div>

        <div class="text-content">
          <p class="mt-8 text-lg leading-normal"
             v-html="project.technical[1]" />
          <p class="mt-4 text-lg leading-normal"
             v-html="project.technical[2]" />
        </div>
        <!-- End Tech part -->

        <div v-if="project.pictures == 0"
             class="h-12" />

        <!-- Screenshots part -->
        <div v-if="project.pictures > 0">
          <div class="title mt-8">
            <h2 class="inline relative"
                :class="[isDark ? '' : 'title-' + project.slug]">Screenshots</h2>
          </div>

          <div class="flex mt-8 sm:flex-wrap">
            <div class="w-1/2 sm:w-full">
              <image-comp :source="'projects/' + project.slug + '/1.png'"
                          :alt="'Project' + project.slug + 'image'"
                          width="'auto'"
                          height="'auto'"
                          class="w-full h-auto max-h-full" />
            </div>

            <div class="col w-8" />

            <div class="w-1/2 sm:w-full">
              <image-comp :source="'projects/' + project.slug + '/2.png'"
                          :alt="'Project' + project.slug + 'image'"
                          width="'auto'"
                          height="'auto'"
                          class="w-full h-auto max-h-full" />
            </div>
          </div>

          <div class="flex my-8 sm:flex-wrap">
            <div class="w-1/2 sm:w-full">
              <image-comp v-if="project.pictures > 2"
                          :source="'projects/' + project.slug + '/3.png'"
                          :alt="'Project' + project.slug + 'image'"
                          width="'auto'"
                          height="'auto'"
                          class="w-full h-auto max-h-full" />
            </div>

            <div class="col w-8" />

            <div class="w-1/2 sm:w-full">
              <image-comp v-if="project.pictures > 3"
                          :source="'projects/' + project.slug + '/4.png'"
                          :alt="'Project' + project.slug + 'image'"
                          width="'auto'"
                          height="'auto'"
                          class="w-full h-auto max-h-full" />
            </div>
          </div>
        </div>
        <!-- End Screenshorts part -->

      </div>
    </div>
    <!-- End Project content -->

  </div>
</template>

<script>
import projects from '~/data/projects'

export default {
  name: 'project',
  mounted() {
    var tl = this.$anime.timeline({
      duration: 700,
      delay: 0,
      easing: 'easeInOutSine',
      elasticity: 1000,
    })
    tl
      .add({
        delay: -1000,
        translateX: '-100%',
        targets: '.project__sidebar'
      }, 0)
      .add({
        delay: -1000,
        translateX: '100%',
        targets: '.project__content'
      }, 0)
      .add({
        translateX: 0,
        delay: 100,
        targets: ['.project__sidebar', '.project__content']
      })
  },
  computed: {
    project: function() {
      return projects[this.$route.params.project]
    },
    isDark: function() {
      return this.$store.state.isDark
    },
    imageRequired() {
      return require('../../assets/img/projects/' + this.project.slug + '/layer.png')
    }
  }
}
</script>

<style scoped>
.project {
  padding-top: 4rem;
}

.project__logo {
  height: 250px;
}

.project__layer {
  height: 200px;
  @screen xl {
    height: 350px;
  }
}
.layer__picture {
  height: auto;
  transform: translateY(-25%);
  @screen xl {
    height: 400px;
    transform: translateY(-65px);
  }
  @screen md {
    height: 250px;
  }
}
</style>

